inputname = 'input.csv'
outputname = 'output.csv'

puts "This is the image script. I expect a CSV UTF-8 file called " + inputname +  " and will create a file called  " + outputname
puts
puts "I will replace all 'WAHR' and 'FALSCH' with 'true' and 'false'"
puts "I will also update image links for all the additional images (so not the first entry for the handle) to include an additional 'files' before the products"
puts
puts "e.g. this link https://cdn.shopify.com/s/files/1/1560/1473/products/PB4_Mock-02.jpg?v=1608641168"
puts "e.g. will become https://cdn.shopify.com/s/files/1/1560/1473/files/products/PB4_Mock-02.jpg?v=1628264444"
puts
puts "Shall I proceed? (y/n)"
s = gets
if s.chop == "y"
	puts "OK, proceeding"
	oldhandle = ""

	open(outputname, 'w') { |f| 
		File.readlines(inputname).each do |line|
			#puts line
			#puts line.encoding -> is UTF-8
			line.gsub!(",WAHR",",true")
			line.gsub!(",FALSCH",",false")
			# extract the current handle
			ary = line.split(",")
			handle = ary[0]
			if handle == oldhandle
				# we've seen this product before, update the image string if present
				line.gsub!(/https:\/\/cdn.shopify.com\/s\/files\/\d+\/\d+\/\d+\//, "\\0files/")
			end
			oldhandle = handle
			f.puts line
			print "."
		end
	}
	puts
	puts "OK, finished processing"

else
	puts "Aborting. Good bye"
end